import java.lang.*;

/*
-------------------------------------------------------------------------------
Concentracio de contaminant a un llac
-------------------------------------------------------------------------------
Dades: t (tasa d'abocament), r (flux de sortida), l (constant radioactiva),
       v (volum)
Resultats: q (quantitat d'activitat), conc (concentracio)
Dades de prova: t=1 r=5 l=6.33e-5 v=50000000 ==> q=15772.870117 conc=0.000315
Observacions: Si no compila prova amb l'opcio -lm
-------------------------------------------------------------------------------
*/
	public class Aigua2Calculs {
		double t,r,l,v,q,conc;

		Aigua2Calculs(float t0,float r0,float l0,float v0) {
			t = (double) t0;
			r = (double) r0;
			l = (double) l0;
			v = (double) v0;
			q=t/(l+(r/v));
			conc=q/v;
		}
	}
