import java.awt.*;
import java.lang.*;
import java.io.*;

	class Aigua2Gui extends Frame {
		TextField a1,a2,a3,a4;			// instncies del GUI
		Button c1,c3;
		Label l1,l2,l3,l4,l5,l6,l7,l8;
		Aigua2Calculs calcul = null ;	// instncia de clcul
		String nom = "sensenom.dat";	// aquesta variable ha de ser global
		boolean plot = false;		// opcions del programa
		boolean eps = false;
		float t = 0.0f;		// variables que recollim del GUI
		float r = 0.0f;
		float l = 0.0f;
		float v = 0.0f;
		float conc = 0.0f;	// variables que surten del clcul
		float q = 0.0f;

	Aigua2Gui(String windowTitle) {
		super(windowTitle);			// Posem nom a la finestra
	}

		public void init() {
			setLayout(new GridLayout(0,2,10,10));
			a1 = new TextField(Float.toString(t));
			a2 = new TextField(Float.toString(r));
			a3 = new TextField(Float.toString(l));
			a4 = new TextField(Float.toString(v));
			c1 = new Button("Calcular");
			c3 = new Button("Sortir");
			l1 = new Label("Tasa d'abocament");
			l2 = new Label("Flux");
			l3 = new Label("Constant radioactiva");
			l4 = new Label("Temps de transit");
			l5 = new Label("Concentracio");
			l6 = new Label(Float.toString(conc));
			l7 = new Label("Quantitat");
			l8 = new Label(Float.toString(q));
			add(l1);
			add(a1);
			add(l2);
			add(a2);
			add(l3);
			add(a3);
			add(l4);
			add(a4);
			add(l5);
			add(l6);
			add(l7);
			add(l8);
			add(c1);
			add(c3);
			pack();
		}

		public boolean action(Event evt,Object arg) {
			if(evt.target instanceof Button)
				return accioBoto((String)arg);
			if(evt.target instanceof TextField)
				return accioCamp((TextField)evt.target);
			return true;
		}

		public boolean accioBoto(String label) {
			if(label.equals("Calcular"))
				calcular();
			if(label.equals("Sortir"))
				System.exit(0);
			return true;
		}


		public boolean accioCamp(TextField field) {
			return true;
		}

		public void calcular() {
			Float f1,f2,f3,f4;
			f1 = Float.valueOf(a1.getText());
			f2 = Float.valueOf(a2.getText());
			f3 = Float.valueOf(a3.getText());
			f4 = Float.valueOf(a4.getText());
			t = f1.floatValue();
			r = f2.floatValue();
			l = f3.floatValue();
			v = f4.floatValue();
			calcul = new Aigua2Calculs(t,r,l,v);
			conc = (float) calcul.conc;
			q = (float) calcul.q;
			l6.setText(Float.toString(conc));
			l8.setText(Float.toString(q));
		}

    		public boolean handleEvent(Event evt) {
        		switch (evt.id) {
				case Event.WINDOW_DESTROY:
					System.exit(0);
        		}
        		return super.handleEvent(evt);
    		}
	}

class Aigua2 {

	public static void main(String args[]) {
		Aigua2Gui aigua = null;

		aigua = new Aigua2Gui("Aigua2");
		for(int i = 0 ; i < args.length ; i++) {
			if(args[i].equals("-p") || args[i].equals("--gnuplot"))
				aigua.plot = true;
			if(args[i].equals("-e") || args[i].equals("--eps"))
				aigua.eps = true;
		}
		aigua.init();
		aigua.show();
	}
}

